> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post adminsystem field backfilljobs cancel

> Cancel a running system field backfill job

Required token scopes: `instance|update`



## OpenAPI

````yaml /swagger.json post /admin/system-field-backfill/jobs/{jobId}/cancel
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/system-field-backfill/jobs/{jobId}/cancel:
    post:
      tags:
        - admin
      description: |-
        Cancel a running system field backfill job

        Required token scopes: `instance|update`
      parameters:
        - schema:
            type: string
          required: true
          name: jobId
          in: path
      responses:
        '200':
          description: Canceled system field backfill job
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    enum:
                      - pending
                      - running
                      - completed
                      - completed_with_errors
                      - failed
                      - canceled
                  dryRun:
                    type: boolean
                  scope:
                    type: string
                    enum:
                      - all
                      - main
                      - byodb
                  totals:
                    type: object
                    properties:
                      tablesScanned:
                        type: number
                      tablesAffected:
                        type: number
                      tablesFailed:
                        type: number
                      tablesSkipped:
                        type: number
                      rowsMatched:
                        type: number
                      rowsUpdated:
                        type: number
                    required:
                      - tablesScanned
                      - tablesAffected
                      - tablesFailed
                      - tablesSkipped
                      - rowsMatched
                      - rowsUpdated
                  checkpoint:
                    type: object
                    nullable: true
                    properties:
                      lastTableId:
                        type: string
                        nullable: true
                    required:
                      - lastTableId
                  events:
                    type: array
                    items:
                      type: object
                      properties:
                        time:
                          type: string
                        level:
                          type: string
                          enum:
                            - info
                            - warn
                            - error
                        message:
                          type: string
                      required:
                        - time
                        - level
                        - message
                  error:
                    type: string
                    nullable: true
                  createdBy:
                    type: string
                    nullable: true
                  createdTime:
                    type: string
                  startedTime:
                    type: string
                    nullable: true
                  finishedTime:
                    type: string
                    nullable: true
                required:
                  - id
                  - status
                  - dryRun
                  - scope
                  - totals
                  - checkpoint
                  - events
                  - error
                  - createdBy
                  - createdTime
                  - startedTime
                  - finishedTime
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/admin/system-field-backfill/jobs/%7BjobId%7D/cancel \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/system-field-backfill/jobs/%7BjobId%7D/cancel';

            const options = {method: 'POST', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/system-field-backfill/jobs/%7BjobId%7D/cancel',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("POST",
            "/api/admin/system-field-backfill/jobs/%7BjobId%7D/cancel",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````